 ------------------------------------------------------------------------------------
--Name：  210809[简体征服][活动脚本]全球中秋节与杂七杂八
--Creator:      何若晖
--Created:     2021-08-09
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>209
--/reloadlua Script//Mid-AutumnFestival/2021/Miscellaneous1.lua

-- 设置视角
CppScriptMgr:SetViewPosByCell(371,442)
CppScriptMgr:WaitMilSec(500)

local CarNpc = CppScriptMgr:AddSimplePlayer(1062860,371,442, "")
-- CarNpc:SetMount(200726)
CarNpc:SetZoomPercent(130)
-- local effect1 = CppScriptMgr:AddEffect("curse",371,442)
CarNpc:AddEffect("curse")
-- local CarNpc = CppScriptMgr:AddSimplePlayer(1065030,374,442, "Jade Rabbit")

local hero = CppScriptMgr:QueryHero()
hero:SetDir(4)
hero:SetPos(372,450)



CarNpc:SetAction(170)
CarNpc:Say("#92#92#92Only by upgrading the Jade Chariot can I go back to the Moon Palace.",5000)
CppScriptMgr:WaitMilSec(900)
hero:RunTo(367,444)
CppScriptMgr:WaitMilSec(1000)
CarNpc:SetAction(170)
hero:RunTo(367,436)
CppScriptMgr:WaitMilSec(1000)
hero:RunTo(375,436)
CarNpc:SetAction(170)
CppScriptMgr:WaitMilSec(1000)
hero:RunTo(375,444)
CarNpc:SetAction(170)
CppScriptMgr:WaitMilSec(800)
CarNpc:SetAction(170)
hero:RunTo(374,444)
CppScriptMgr:WaitMilSec(500)
hero:RunTo(374,446)
CppScriptMgr:WaitMilSec(800)
hero:SetDir(4)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(200)
CppScriptMgr:WaitMilSec(500)
hero:Say("Don`t worry. I`d love to help you.",2000)
-- CppScriptMgr:WaitMilSec(2000)
-- hero:Say("不知该如何帮助仙官早日修复神车。",2000)
CppScriptMgr:WaitMilSec(2000)
CarNpc:SetAction(200)
CppScriptMgr:WaitMilSec(500)
CarNpc:Say("Really? That`s awesome!",2000)
-- CppScriptMgr:WaitMilSec(2000)
-- hero:Say("神车修补指南该如何获得？",2000)
CppScriptMgr:WaitMilSec(2000)
CarNpc:Say("You need to collect enough Sacred Twigs, Jade Brocades and Jade Wheels to upgrade the Jade Chariot.",3000)
-- CppScriptMgr:WaitMilSec(2000)
-- CarNpc:Say("阁下需集齐红黄蓝三种颜色的灵墨才可让书中的字显示出来。",2000)
CppScriptMgr:WaitMilSec(3000)
hero:Say("How can I get these materials?",2000)
CppScriptMgr:WaitMilSec(2000)
CarNpc:Say("I`ve got a material here. Why don`t you have a try?",2000)
CppScriptMgr:WaitMilSec(2000)
-- local effect2 = CppScriptMgr:AddEffect("CircleUp",374,442)
CarNpc:AddEffect("CircleUp")
CppScriptMgr:WaitMilSec(3000)
-- local effect3 = CppScriptMgr:AddEffect("CircleUp",374,444)
hero:AddEffect("CircleUp")
CppScriptMgr:WaitMilSec(3000)
hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)
hero:Say("I`ll do it.",2000)
CppScriptMgr:WaitMilSec(2000)
hero:AddEffect("coattryon")
CppScriptMgr:WaitMilSec(3000)
CarNpc:Say("Great! Now I`ll tell you how to collect these materials!",2000)
CppScriptMgr:WaitMilSec(2000)
CarNpc:SetAction(180)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(180)
CppScriptMgr:WaitMilSec(1000)
hero:Say("That would be nice!",2000)
CppScriptMgr:WaitMilSec(2000)